schema_name   : args
schema_version: 1.0
schema_type   : fpga

hdl_library_name  : pss
fpga_name         : pss
fpga_description  : "Acceleration core for use with Vitis and Alveo"

peripherals:
  - peripheral_name        : pss/system
  - peripheral_name        : pss/vitis_shared
  - peripheral_name        : LFAADecode100G/LFAADecode100G
  - peripheral_name        : pss_ct1/pss_ct1
  - peripheral_name        : ct2/ct2
  - peripheral_name        : ct2/PSSbeamPolynomials0_0
  - peripheral_name        : ct2/PSSbeamPolynomials0_1
  - peripheral_name        : ct2/PSSbeamPolynomials0_2
  - peripheral_name        : ct2/PSSbeamPolynomials0_3
  - peripheral_name        : PSSbeamformer/PSSbeamformer0_stationJones
  - peripheral_name        : PSSbeamformer/PSSbeamformer0_BeamJones
  - peripheral_name        : Packetiser/Packetiser
  - peripheral_name        : LFAADecode100G/LFAADecode100G_2
  - peripheral_name        : pss_ct1_2/pss_ct1_2
  - peripheral_name        : ct2_2/ct2_2
  - peripheral_name        : ct2_2/PSSbeamPolynomials1_0
  - peripheral_name        : ct2_2/PSSbeamPolynomials1_1
  - peripheral_name        : ct2_2/PSSbeamPolynomials1_2
  - peripheral_name        : ct2_2/PSSbeamPolynomials1_3
  - peripheral_name        : PSSbeamformer/PSSbeamformer1_stationJones
  - peripheral_name        : PSSbeamformer/PSSbeamformer1_BeamJones
  - peripheral_name        : Packetiser/Packetiser_2
  - peripheral_name        : CMAC/CMAC
  - peripheral_name        : Timeslave/Timeslave  
